Bug 979870 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 00000014
[abrt] BUG: unable to handle kernel NULL pointer dereference at 00000014
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fedora-kernel-wireless-brcm80211
Fedora Extras Quality Assurance
abrt_hash:d188a3ff342e92aa7e88978b0c7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 00:21 EDT by Markus
Modified: 2014-09-29 06:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:19:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (172.35 KB, text/plain)
2013-07-01 00:21 EDT, Markus
no flags Details

  None (edit)
Description Markus 2013-07-01 00:21:21 EDT
Additional info:
reporter:       libreport-2.1.4
BUG: unable to handle kernel NULL pointer dereference at 00000014
IP: [<c0571a5d>] evict+0x7d/0x150
*pdpt = 0000000000000000 *pde = f000ff5300000000 
Oops: 0000 [#1] SMP 
Modules linked in: ebtable_nat xt_CHECKSUM tun bridge stp llc fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack bnep bluetooth ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi hp_wmi acpi_cpufreq sparse_keymap arc4 mperf snd_hda_codec_conexant brcmsmac cordic brcmutil mac80211 coretemp cfg80211 snd_hda_intel iTCO_wdt iTCO_vendor_support rfkill 8139too snd_hda_codec 8139cp snd_hwdep i2c_i801 snd_seq snd_seq_device snd_pcm snd_page_alloc uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core snd_timer videodev mii media lpc_ich mfd_core microcode snd bcma soundcore binfmt_misc uinput btrfs zlib_deflate raid6_pq libcrc32c xor i915 i2c_algo_bit drm_kms_helper drm i2c_core wmi video
Pid: 29, comm: kswapd0 Not tainted 3.9.6-200.fc18.i686.PAE #1 Hewlett-Packard [FF]/30D9
EIP: 0060:[<c0571a5d>] EFLAGS: 00010202 CPU: 1
EIP is at evict+0x7d/0x150
EAX: f75fbf48 EBX: c008f030 ECX: 0000001c EDX: 00000012
ESI: c008f0cc EDI: 00000000 EBP: f46fddf4 ESP: f46fdde8
 DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
CR0: 8005003b CR2: 00000014 CR3: 00d28000 CR4: 000007f0
DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
DR6: ffff0ff0 DR7: 00000400
Process kswapd0 (pid: 29, ti=f46fc000 task=f453cc80 task.ti=f46fc000)
Stack:
 c008f0c4 f46fde24 c008f030 f46fde08 c0571b61 d88be1c4 ffffffff f68d7800
 f46fde38 c057268c 00000000 f68d7880 d88be130 f68d7884 d88be184 c008f344
 c0111844 f68d7a18 f68d7800 00000000 f46fde5c c055ea1c f46fdf28 000000fb
Call Trace:
 [<c0571b61>] dispose_list+0x31/0x40
 [<c057268c>] prune_icache_sb+0x12c/0x290
 [<c055ea1c>] prune_super+0x12c/0x150
 [<c051af7b>] shrink_slab+0x15b/0x2e0
 [<c0552894>] ? mem_cgroup_iter+0xb4/0x1c0
 [<c051d3fe>] kswapd+0x41e/0x840
 [<c051cfe0>] ? shrink_zone+0x150/0x150
 [<c046e524>] kthread+0x94/0xa0
 [<c09b0c77>] ret_from_kernel_thread+0x1b/0x28
 [<c046e490>] ? kthread_create_on_node+0xc0/0xc0
Code: b8 c0 2c bf c0 e8 54 7d 43 00 89 f0 e8 3d 79 13 00 89 b3 9c 00 00 00 89 b3 a0 00 00 00 80 05 c0 2c bf c0 01 89 d8 e8 63 fa 00 00 <8b> 57 14 85 d2 74 54 89 d8 ff d2 0f b7 03 66 25 00 f0 66 3d 00
EIP: [<c0571a5d>] evict+0x7d/0x150 SS:ESP 0068:f46fdde8
CR2: 0000000000000014
Comment 1 Markus 2013-07-01 00:21:30 EDT
Created attachment 767214 [details]
File: dmesg
Comment 2 Josh Boyer 2013-07-01 11:32:15 EDT
The log is full of:

[ 7836.167582] brcmsmac bcma0:0: brcms_c_ampdu_dotxstatus_complete: ampdu tx phy error (0x10)
[ 7836.168670] brcmsmac bcma0:0: phyerr 0x10, rate 0xa
[ 7836.168684] brcmsmac bcma0:0: brcms_c_ampdu_dotxstatus_complete: ampdu tx phy error (0x10)
[ 7836.268674] brcmsmac bcma0:0: phyerr 0x10, rate 0x6e
[ 7836.268701] brcmsmac bcma0:0: brcms_c_ampdu_dotxstatus_complete: ampdu tx phy error (0x10)
[ 7836.269299] brcmsmac bcma0:0: phyerr 0x10, rate 0x6e
[ 7836.269312] brcmsmac bcma0:0: brcms_c_ampdu_dotxstatus_complete: ampdu tx phy error (0x10)
[ 7836.269903] brcmsmac bcma0:0: phyerr 0x10, rate 0x6e
[ 7836.269917] brcmsmac bcma0:0: brcms_c_ampdu_dotxstatus_complete: ampdu tx phy error (0x10)
[ 7838.069969] brcmsmac bcma0:0: phyerr 0x10, rate 0x37
[ 7838.069997] brcmsmac bcma0:0: brcms_c_ampdu_dotxstatus_complete: ampdu tx phy error (0x10)
[ 7838.070352] brcmsmac bcma0:0: phyerr 0x10, rate 0x37
[ 7838.070366] brcmsmac bcma0:0: brcms_c_ampdu_dotxstatus_complete: ampdu tx phy error (0x10)
[ 7838.070702] brcmsmac bcma0:0: phyerr 0x10, rate 0x37
[ 7838.070710] brcmsmac bcma0:0: brcms_c_ampdu_dotxstatus_complete: ampdu tx phy error (0x10)
[ 7838.667825] brcmsmac bcma0:0: phyerr 0x1, rate 0x14
[ 7838.667834] brcmsmac bcma0:0: brcms_c_ampdu_dotxstatus_complete: ampdu tx phy error (0x1)
[ 7838.667985] brcmsmac bcma0:0: phyerr 0x1, rate 0x14
[ 7838.667989] brcmsmac bcma0:0: brcms_c_ampdu_dotxstatus_complete: ampdu tx phy error (0x1)
[ 7838.668134] brcmsmac bcma0:0: phyerr 0x1, rate 0x14
[ 7838.668138] brcmsmac bcma0:0: brcms_c_ampdu_dotxstatus_complete: ampdu tx phy error (0x1)
[ 7839.078964] brcmsmac bcma0:0: phyerr 0x10, rate 0x14

I'm guessing that is resulting in memory corruption of some kind.
Comment 3 Justin M. Forbes 2013-10-18 17:22:36 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 4 Justin M. Forbes 2013-11-27 11:19:15 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.